import graph;

size(0,150);

// Definition unserer Funktion
real f(real x) {
	return(4*sin(x));
}

// Zeichnet den Graph von f von -2pi bis 2pi
draw(graph(f,-2*pi,2*pi),red+2pt+longdashed,"Funktion");

// Fügt eine x-Achse ein
xaxis("$x$", axis=Bottom,arrow=EndArrow,p=blue);
// statt Bottom auch Top, BottomTop, nichts (=x-Achse auf Höhe y=0) oder YEquals(y) (x-Achse auf Höhe y) möglich


// Fügt eine y-Achse ein
yaxis("$y$",ticks=Ticks);
// axis= XZero (default), XEquals(x), Left, Right, LeftRight
// ticks=NoTicks (default), LeftTicks, RightTicks, Ticks

// Zeichnet x- und y-Achse (keine Tick-Kontrolle!, nicht für Legende geeignet!)
//axes("$x$","$y$", p=blue,arrow=EndArrow);

// Schreibt an die y-Achse auf Höhe 1 den String "1" links von der Achse
labely("1",1,W);

label("f",(2.3,f(2.3)),NE);
label("Kennzeichnung",(0,-1),UnFill);

add(legend(),(8,0));