import geometry;

size(100,100);

point A = (0,0);
point B = (2,0);
point C = (3,2);

dot(A);
dot(B);
dot(C);

line AB = line(A,B);
line BC = line(B,false, C);

draw(AB);
draw(BC,red);

// Parallele und orthogonale Geraden
draw(parallel((0,-0.4),AB),blue);
draw(perpendicular(C,BC), red+longdashed);

// Winkelsymmetrale
draw(bisector(BC,AB),green+2);

// Einstellen des sichtbaren Bereiches
draw(box((-1,-1),(4,3)),invisible);