import geometry;
size(200,0);

defaultpen(linewidth(2));

triangle T = triangle((0,0),(3,1),(2,7));

draw(T);
dot(T.B);
dot(T.C);
dot((point) T.VA);


pen p1 = linewidth(1.5)+red;
dot(circumcenter(T),red);
draw(circle(T),p1);

dot(incenter(T), blue);
draw(incircle(T), linewidth(1.5)+blue);

draw(altitude(T.AB),purple+dashed);
draw(altitude(T.CA),purple+dashed);
draw(altitude(T.BC),purple+dashed);
dot(orthocentercenter(T),purple);
