import geometry;

size(100,0);

// Ellipse mit 2 Brennpunkten und Halbachse a
ellipse e1 = ellipse((-3,0),(3,0),4);
//Ellipse mit 2 Brennpunkten durch 3.Punkt
ellipse e2 = ellipse((-2,0),(2,0),(3,0));
//Ellipse mit Zentrum, Brennweiten und Drehwinkel
ellipse e3 = ellipse((1,1),3,2,35);

dot("A",(-2,0));
dot("B",(2,0));

draw(e1);
draw(e2,red);
draw(e3,blue,Arrow);



point F = (0,5);
// Parabel mit Brennpunkt und Leitlinie
parabola p1 = parabola(F,Ox()+(0,4));
// Parabel mit Brennpunkt und Punkt
parabola p2 = parabola(F,(0,4));
// Parabel durch 3 Punkte und Leitlinie parallel zur Linie
parabola p3 = parabola((0,4),(1,5),(-1,5),Ox());

dot("F", F);

draw(p1,green);
draw(p2,red);
draw(p3,blue,Arrow);


// Hyperbel mit Brennpunkten und Halbachse
hyperbola h1 = hyperbola((-3,-6),(3,-6),2.5,byfoci=true);
// Hyperbel mit Punkten und Exzentrizität
hyperbola h2 = hyperbola((-1,-6),(1,-6),1.2,byfoci=false);

draw(h1);
draw(h2,red);

draw(box((-4,-10),(4,10)),invisible);