import math;
size(0,80);

// Eine Ellipse mit Mittelpunkt 0 und Scheitellngen 4 und 2
path e = ellipse((0,0), 4,2);

pair p1=point(e,0);
pair p2=point(e,1);
pair p3=point(e,1.5);

// Tangentenrichtungen
pair t2=dir(e,1);
pair t3=dir(e,1.5);

// Schnittpunkt der Geraden durch p2 und p2+t2 bzw. p3 und p3+t3
pair s=extension(p2,p2+t2,p3,p3+t3);


// Zeichnen
draw(e);
dot(p1);
dot(p2,red);
dot(p3,blue);
drawline(p2,p2+t2);
drawline(p3,p3+t3);
dot(s,green);
